from classlib.track import *
            

class Line_flexible(Track):

    def make_track(self):
        """
        This function sets essential parameters for the specific track
        element. It needs to be called once during initialization.
        """
        
        
        
        #self.element=[\
        #    # just one section
        #    {'label':'entry',
        #     'shape': ( 'flexline', {'offset':(0.0,20.0,0.0),
        #                             'endcoords':(50.0,0.0,0.0),
        #                             'alpha0':0.0,
        #                             'alpha1':0.0} ),
        #     'topo' : (1,2),
        #     },
        #    ]
        self.element=[\
            # just one section
            {'label':'entry',
             'shape': ( 'flexline', {'offset':(0.0,0.0,0.0),
                                     'endcoords':(50.0,20.0,0.0),
                                     #'alpha0':40.0,
                                     #'alpha1':-30.0,
                                     'alpha0':0.0,
                                     'alpha1':0.0,
                                     }
                        ),
             'topo' : (1,2),
             },
            ]

        self.nodes_connect={1:'in', 2:'out'}

        #self.info='Off-line stop with 3 berth and 60m of total length.\n'+\ 
        #'Main line velocity is 8.3m/s'
        self.info= 'Flexible line track element.\n'+\
                   'Drag the extremities to stretch and bend.\n'+\
                   'The angles of the line will adapt to continue the'+\
                   'direction of the section to where it has been attached to.'
        
        # define class for this track element module
        #self.Mod=Stopmod

        
